#!/usr/bin/env node
"use strict";

var _meow = _interopRequireDefault(require("meow"));

var _ink = require("ink");

var _updateNotifier = _interopRequireDefault(require("update-notifier"));

var _emma = _interopRequireDefault(require("./emma"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Notify updater
const pkg = require(`../package.json`);

(0, _updateNotifier.default)({
  pkg
}).notify(); // CLI

const cli = (0, _meow.default)(`
   Usage
     $ emma

   Example
     $ emma -D

   Options
     --dev -D      Add to dev dependencies.

   Run without package-name to enter live search.
   Use keyboard to search through package library.
   Use up/down to select packages.
   Click enter to trigger the install.   
`, {
  flags: {
    dev: {
      type: 'boolean',
      alias: 'D'
    }
  }
});

const main = () => {
  let unmount; // eslint-disable-line prefer-const

  const onError = () => {
    unmount();
    process.exit(1);
  };

  const onExit = () => {
    unmount();
    process.exit();
  };

  const {
    dev
  } = cli.flags; // Uses `h` instead of JSX to avoid transpiling this file

  unmount = (0, _ink.render)((0, _ink.h)(_emma.default, {
    dev,
    onError,
    onExit
  }));
};

main();